package com.agilex.healthcare.schedulingmanager.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientData;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "preference", namespace = Namespace.SchedulingManager)
@XmlAccessorType(value = XmlAccessType.NONE)
public class SMPatientPreference extends PatientData {

	private static final long serialVersionUID = -1712654034946287370L;

	@XmlElement
	private String notificationFrequency;
	@XmlElement
	private boolean emailAllowed;
	@XmlElement
	private String emailAddress;
	@XmlElement
	private boolean textMsgAllowed;
	@XmlElement
	private String textMsgPhNumber;
	
	public String getNotificationFrequency() {
		return notificationFrequency;
	}
    //    'Each new message', 'Daily', 'Never'
	public void setNotificationFrequency(String notificationFrequency) {
		this.notificationFrequency = notificationFrequency;
	}
	public boolean isEmailAllowed() {
		return emailAllowed;
	}
	public void setEmailAllowed(boolean emailAllowed) {
		this.emailAllowed = emailAllowed;
	}
	public String getEmailAddress() {
		return emailAddress;
	}
	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}
	public boolean isTextMsgAllowed() {
		return textMsgAllowed;
	}
	public void setTextMsgAllowed(boolean textMsgAllowed) {
		this.textMsgAllowed = textMsgAllowed;
	}
	public String getTextMsgPhNumber() {
		return textMsgPhNumber;
	}
	public void setTextMsgPhNumber(String textMsgPhNumber) {
		this.textMsgPhNumber = textMsgPhNumber;
	}
	
}
